APT-EXTRACTTEMPLATE(1)

NAME
apt-extracttemplates - Hilfsprogramm zum Extrahieren der DebConf-Konfiguration und Schablonen von Debian-Paketen

SYNOPSIS

apt-extracttemplates [-hv] [-t=temporäres Verzeichnis] Datei...

BESCHREIBUNG

apt-extracttemplates nimmt als Eingabe ein oder mehrere Debian-Paketdateien entgegen und schreibt alle verbundenen Konfigurationsskripte und Schablonendateien (in ein temporäres Verzeichnis) heraus. Für jedes übergebene Paket das Konfigurationsskripte und Schablonendateien enthält, wird eine Ausgabezeile in folgendem Format generiert:

Paket Version Schablonendatei Konfigurationsskript

Schablonendatei und Konfigurationsskript werden in das temporäre Verzeichnis geschrieben, das durch »-t« oder »--tempdir« (APT::ExtractTemplates::TempDir) Verzeichnis mit Dateinamen der Form package. template.XXXX und package.config.XXXX angegeben wurde

OPTIONEN

Alle Befehlszeilenoptionen können durch die Konfigurationsdatei gesetzt werden, die Beschreibung gibt die zu setzende Option an. Für boolesche Optionen können Sie die Konfigurationsdatei überschreiben, indem Sie etwas wie -f-, --no-f, -f=no oder etliche weitere Varianten benutzen.

-t, --tempdir
    Temporäres Verzeichnis, in das die extrahierten DebConf-Schablonendateien und Konfigurationsdateien geschrieben werden. Konfigurationselement: APT::ExtractTemplates::TempDir

-h, --help
    Ein kurze Aufrufzusammenfassung zeigen.

-v, --version
    Die Version des Programms anzeigen.

-c, --config-file
    Konfigurationsdatei; Gibt eine Konfigurationssdatei zum Benutzen an. Das Programm wird die Vorgabe-Konfigurationsdatei und dann diese Konfigurationsdatei lesen. Falls Konfigurationseinstellungen vor der Vorgabe-Konfiguration ausgewertet werden müssen, geben Sie eine Datei der Umgebungsvariable APT_CONFIG an Lesen Sie apt.conf(5), um Syntax-Informationen zu erhalten

-o, --option
    Eine Konfigurationsoption setzen; Dies wird eine beliebige Konfigurationsoption setzen. Die Syntax lautet -o Foo::Bar=bar. -o und --option kann mehrfach benutzt werden, um verschiedene Optionen zu setzen.

SIEHE AUCH

apt.conf(5)

DIAGNOSE

apt-extracttemplates gibt bei normalen Operationen 0 zurück, dezimal 100 bei Fehlern.

FEHLER

APT-Fehlerseite[1]. Wenn Sie einen Fehler in APT berichten möchten, lesen Sie bitte /usr/share/doc/debian/bug-reporting.txt oder den reportbug(1)-Befehl. Verfassen Sie Fehlerberichte bitte auf Englisch.

ÜBERSETZUNG

Die deutsche Übersetzung wurde 2009 von Chris Leick c.leick@vollbio.de in Zusammenarbeit mit dem deutschen l10n-Team von Debian debian-l10n-german@lists.debian.org angefertigt.

Beachten Sie, dass diese Übersetzung Teile enthalten kann, die nicht übersetzt wurden. Dies ist so, damit kein Inhalt verloren geht, wenn die Übersetzung hinter dem Originalinhalt hinterherhängt.

AUTHORS

Jason Gunthorpe

APT-Team

NOTES

1.  APT-Fehlerseite
    http://bugs.debian.org/src:apt